Bug 1084246 - Review Request: python-saharaclient - client library for OpenStack Sahara API
Summary: Review Request: python-saharaclient - client library for OpenStack Sahara API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Will Benton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-04 02:30 UTC by Michael McCune
Modified: 2014-09-26 09:00 UTC (History)
4 users (show)

Fixed In Version: python-saharaclient-0.7.0-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-26 09:00:34 UTC
Type: ---
willb: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)
updated spec file (1.76 KB, text/x-rpm-spec)
2014-04-07 20:14 UTC, Michael McCune
no flags Details
updated source rpm (74.17 KB, application/x-redhat-package-manager)
2014-04-07 20:15 UTC, Michael McCune
no flags Details
updating spec file (1.76 KB, text/x-rpm-spec)
2014-04-07 20:40 UTC, Michael McCune
no flags Details
updated source rpm (74.17 KB, application/x-redhat-package-manager)
2014-04-07 20:42 UTC, Michael McCune
no flags Details
updated spec file (1.73 KB, text/x-rpm-spec)
2014-04-07 22:09 UTC, Michael McCune
no flags Details
updated source rpm (74.14 KB, application/x-redhat-package-manager)
2014-04-07 22:09 UTC, Michael McCune
no flags Details
updated spec file (2.26 KB, text/x-rpm-spec)
2014-04-10 13:45 UTC, Michael McCune
no flags Details
update source rpm (74.56 KB, application/x-redhat-package-manager)
2014-04-10 13:46 UTC, Michael McCune
no flags Details
updated spec file (2.25 KB, text/x-rpm-spec)
2014-04-10 14:39 UTC, Michael McCune
no flags Details
updated source rpm (74.55 KB, application/x-redhat-package-manager)
2014-04-10 14:40 UTC, Michael McCune
no flags Details

Description Michael McCune 2014-04-04 02:30:05 UTC
Spec URL: https://github.com/elmiko/fedorapkg_python-saharaclient/raw/master/python-saharaclient.spec
SRPM URL: https://github.com/elmiko/fedorapkg_python-saharaclient/raw/master/python-saharaclient-0.7.0-2.fc20.src.rpm
Description: Python client library for interacting with OpenStack Sahara API.
Fedora Account System Username: mimccune

This review request is for a version upgrade and a rename of the package python-savannaclient. This is also my first review request for a Fedora package and as such I am seeking a sponsor. I have been active recently in the Sahara community providing reviews and code contributions, you can see my activity here (https://review.openstack.org/#/q/reviewer:mimccune,n,z).

$ rpmlint -v -i python-saharaclient.spec ../SRPMS/python-saharaclient* ../RPMS/*/python-saharaclient*
python-saharaclient.spec: I: checking-url http://tarballs.openstack.org/python-saharaclient/python-saharaclient-0.7.0.tar.gz (timeout 10 seconds)
python-saharaclient.src: I: checking
python-saharaclient.src: I: checking-url https://launchpad.net/sahara (timeout 10 seconds)
python-saharaclient.src: I: checking-url http://tarballs.openstack.org/python-saharaclient/python-saharaclient-0.7.0.tar.gz (timeout 10 seconds)
python-saharaclient.noarch: I: checking
python-saharaclient.noarch: I: checking-url https://launchpad.net/sahara (timeout 10 seconds)
python-saharaclient.noarch: W: no-manual-page-for-binary sahara
Each executable in standard binary directories should have a man page.

2 packages and 1 specfiles checked; 0 errors, 1 warnings.

koji builds for rawhide, f20, and f19 respectively
http://koji.fedoraproject.org/koji/taskinfo?taskID=6705674
http://koji.fedoraproject.org/koji/taskinfo?taskID=6705683
http://koji.fedoraproject.org/koji/taskinfo?taskID=6705685

Comment 1 Michael Cronenworth 2014-04-04 16:31:17 UTC
You're missing Obsoletes/Provides for the old package name.

See: http://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Comment 2 Michael Cronenworth 2014-04-04 16:32:53 UTC
Sorry, it was hidden at the top of the spec. Sorry for the noise.

Comment 3 Michael McCune 2014-04-04 18:48:53 UTC
(In reply to Michael Cronenworth from comment #2)
> Sorry, it was hidden at the top of the spec. Sorry for the noise.

hi Michael, is there a preferred location for the Provides/Obsoletes?

I was just trying to follow the example from the guide.

Comment 4 Michael McCune 2014-04-07 20:14:38 UTC
Created attachment 883760 [details]
updated spec file

added a note in the changelog about the rename

Comment 5 Michael McCune 2014-04-07 20:15:16 UTC
Created attachment 883761 [details]
updated source rpm

recreated after changelog updated

Comment 6 Michael McCune 2014-04-07 20:40:41 UTC
Created attachment 883765 [details]
updating spec file

fixing release number

Comment 7 Michael McCune 2014-04-07 20:42:34 UTC
Created attachment 883766 [details]
updated source rpm

rebuilt after release number change

new srpm url
https://github.com/elmiko/fedorapkg_python-saharaclient/raw/master/python-saharaclient-0.7.0-1.fc20.src.rpm

Comment 8 Michael McCune 2014-04-07 22:09:04 UTC
Created attachment 883774 [details]
updated spec file

adding README.rst to docs

Comment 9 Michael McCune 2014-04-07 22:09:38 UTC
Created attachment 883775 [details]
updated source rpm

rebuilt after adding README.rst

Comment 10 Will Benton 2014-04-09 19:32:00 UTC
Thanks, Mike.  I have just a couple of minor comments here; please hit me up if you have questions.


Issues:

* The %{__python} macro is deprecated; please use %{__python2} instead.
* Are there automated tests upstream?  If so, and if it is possible to run these in koji, please add a %check section to this spec.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated", "*No copyright* Apache (v2.0)".
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python

* see above under issues

[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.

* not a blocker since there was no %check in the pre-renamed package.  Are there tests upstream?

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-saharaclient-0.7.0-1.fc21.noarch.rpm
          python-saharaclient-0.7.0-1.fc21.src.rpm
python-saharaclient.noarch: W: no-manual-page-for-binary sahara
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-saharaclient
python-saharaclient.noarch: W: no-manual-page-for-binary sahara
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-saharaclient (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    python-babel
    python-iso8601
    python-netaddr
    python-requests
    python-setuptools
    python-six



Provides
--------
python-saharaclient:
    python-saharaclient
    python-savannaclient



Source checksums
----------------
http://tarballs.openstack.org/python-saharaclient/python-saharaclient-0.7.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7c83fb7709a870101539bd25d76225dc7a65e3848e2d698403e0a410c67fe388
  CHECKSUM(SHA256) upstream package : 7c83fb7709a870101539bd25d76225dc7a65e3848e2d698403e0a410c67fe388


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1084246
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 11 Michael McCune 2014-04-10 13:45:58 UTC
Created attachment 884955 [details]
updated spec file

changing __python to __python2
enabling some tests

Comment 12 Michael McCune 2014-04-10 13:46:43 UTC
Created attachment 884956 [details]
update source rpm

rebuild after modifying spec

Comment 13 Michael McCune 2014-04-10 14:39:32 UTC
Created attachment 884974 [details]
updated spec file

removing unneeded python-virtualenv from BuildRequires

Comment 14 Michael McCune 2014-04-10 14:40:07 UTC
Created attachment 884975 [details]
updated source rpm

rebuilding after spec change

Comment 15 Will Benton 2014-04-11 14:29:31 UTC
Mike, as Matthias pointed out in 1085132, you don't need to attach spec or SRPM files; you can just update the URLs (or post new comments with new URLs).

Other than that, the package looks good.  I'm happy to approve the review and sponsor you.

Comment 16 Michael McCune 2014-04-16 15:55:06 UTC
New Package SCM Request
=======================
Package Name: python-saharaclient
Short Description: client library for OpenStack Sahara API
Owners: mimccune@redhat.com
Branches: f20 el6 epel7
InitialCC: willb@redhat.com

Comment 17 Michael McCune 2014-04-16 16:12:37 UTC
New Package SCM Request
=======================
Package Name: python-saharaclient
Short Description: client library for OpenStack Sahara API
Owners: mimccune
Branches: f20 el6 epel7
InitialCC: willb

Comment 18 Jens Petersen 2014-04-17 05:53:44 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2014-04-17 17:27:20 UTC
python-saharaclient-0.7.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-saharaclient-0.7.0-1.el6

Comment 20 Fedora Update System 2014-04-17 17:29:07 UTC
python-saharaclient-0.7.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-saharaclient-0.7.0-1.fc20

Comment 21 Fedora Update System 2014-04-18 15:42:36 UTC
python-saharaclient-0.7.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 22 Fedora Update System 2014-05-06 15:40:31 UTC
python-saharaclient-0.7.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-saharaclient-0.7.0-3.fc20

Comment 23 Fedora Update System 2014-09-26 09:00:34 UTC
python-saharaclient-0.7.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.